Summary: Command-line JSON processor
Name: jq
Version: 1.4
Release: 1%{?dist}
Source0: jq-%{version}.tar.gz
URL: https://github.com/stedolan/jq
License: BSD
AutoReqProv: no
#BuildPrereq: autoconf, libtool, automake, flex, bison, python

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Group: Applications/System
# Requires:

# Disables debug packages and stripping of binaries:
%global _enable_debug_package 0
%global debug_package %{nil}
%global __os_install_post %{nil}

# Crank up the compression
#%define _binary_payload w7.lzdio

%description
jq is a command-line JSON processor

%prep
%setup

%build
echo "Building in: \"$(pwd)\""
%if "%{devbuild}" == "yes"
./configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-devel
%else
./configure --prefix=%{_prefix} --libdir=%{_libdir}
%endif
make

%install
echo "Installing to: \"%{buildroot}\""
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/jq
%if "%{devbuild}" == "yes"
%{_libexecdir}/%{name}/jq_test
%{_libexecdir}/%{name}/testdata
%endif
%{_datadir}/doc/%{name}/AUTHORS
%{_datadir}/doc/%{name}/COPYING
#%{_datadir}/doc/%{name}/INSTALL
#%{_datadir}/doc/%{name}/NEWS
%{_datadir}/doc/%{name}/README
%{_datadir}/doc/%{name}/README.md
%{_datadir}/man/man1/jq.1

%{_includedir}/jq.h
%{_includedir}/jv.h
%{_libdir}/libjq.a
%{_libdir}/libjq.la
%{_libdir}/libjq.so
%{_libdir}/libjq.so.1
%{_libdir}/libjq.so.1.0.4

%pre

%post

%changelog
* Wed Dec 10 2014 John Simpson <jms1@voalte.com> v1.4-1
- Building for Voalte servers.
- Added include and lib files to the package, rather than trying to figure
  out how to make ./configure not install them in the first place, or
  creating a jq-devel package.

* Tue Jul 16 2013 John Simpson <jms1@voalte.com> v1.3-1
- Building for Voalte servers.
- Commented out INSTALL and NEWS from spec file, missing in source tarball.
